#ifndef MPT3SAS_BACKPORT_H
#define MPT3SAS_BACKPORT_H

/* Backport of [RHEL7.6 e-stor 33/60] virtio_scsi: use cmd_size:
 * original patch included it into include/scsi/scsi_cmnd.h, but we don't have
 * it in the DUP.
 */

/*
 * Return the driver private allocation behind the command.
 * Only works if cmd_size is set in the host template.
 */
static inline void *scsi_cmd_priv(struct scsi_cmnd *cmd)
{
	return cmd + 1;
}

#endif /* MPT3SAS_BACKPORT_H */
